Zmiany w 2010


KBR
 Share

Recommended Posts

Witam!

Po używaniu przez tydzień 2010 wydaje mi się, że jest bardziej stabilny nie "wywalił" się ani razu.

Podoba mi się edytor tekstu wielowierszowego - może zacznę go stosować. Czy jest funkcja zamieniająca kilka tekstów jednowierszowych na wielowierszowy?

Edycja tekstu jednowierszowego wydaje się również ok. Widać od razu jak będzie tekst wyglądał po zmianie.

Czy w funkcji attdedit można ustawić tak jak było w 2009, że aktywny jest przycisk zastosuj lub ok. i po wprowadzeniu zmiany atrybutu okno się zamyka, a nie przechodzi do edycji następnego atrybutu? Być może steruje tym jakaś zmienna?

Link to comment
Share on other sites

kolejny tydzień intensywnej pracy i ZWCAD nie wywalił się ani razu, a otwieram czasem kilkanaście rysunków! Jestem mile zaskoczony.

Czy da się coś zrobić z komendą attedit jak w pierwszym poście!

Link to comment
Share on other sites

W 2010 przestał prawidłowo działać lisp, który działa w 2009, a był pisany wiele lat temu dla autocada.

Wydaje mi się że nie działa takie polecenie

(setq strzemie1 (ssget "W" ptnstr11 ptnstrz4))

Zmieniłem w taki sposób żeby te polecenie nie było potrzebne ale ciekawe dlaczego to nie działa?

przy okazji jak napisać funkcję wykonywania w zależności od spełniania dwóch warunków

myślałem zę:

(if (> a B) and (> c B)

(progn

będzie ok., ale nie działa.

dawno nie programowałem w lispie, a autocad miał pomoc dla lispa.

Link to comment
Share on other sites

żeby zdiagnozować co nie działa w Pana lisie, musielibyśmy mieć ten plik.

a warunek musiałby wyglądać:

(if(and(> a B)(> c d))(progn

czyli najpierw funkcja/warunek, później argumenty

A zwcad też ma pomoc dla lispa, jeszcze niedoskonałą, ale ma. Proszę sprawdzić w katalogu ZWCAD\Help

Link to comment
Share on other sites

Plik mogę przesłać, ale jest on dość długi i chaotyczny więc nie wiem czy jest sens.

Lisp rysował przekrój belki żelbetowej z wyrzuceniem strzemionka.

Tym bardziej, że już sobie poradziłem w inny sposób.

Problem był przy wyrzucaniu strzemiona hak miał być skopiowany i razem z pionowym ramieniem obrócony o 60stopni. Program tego nie robił po za tym wszystko ok.

zbrbel.zip

Link to comment
Share on other sites

  • 3 weeks later...

Dzisiaj pierwszy raz program się wywalił, ale wszystko jak należy zapisał. To ponad miesiąc używania bez awarii, moim zdaniem bardzo duży postęp.

Chciałby ponowić pytanie: czy w można a poleceniu _ attedit można wrócić do tego żeby po edycji atrybutu enter zamykał okno i kończył komendę. Tak było w 2009.

Link to comment
Share on other sites

Tak to robię, ale przy zmianie jednego atrybutu w wielu blokach nie jest to wygodne. W 2009 było ok.

w Autocadzie działo takie polecenie uruchomiane z menu: *^C^C-attedit;;;;;\;v;r;\;

W 2010 zrobiłem tak *^C^C-attedit;;;;;\T;R;\;-attedit;;;;;\T;R;\; jedno tylko nie działa jak w Autocadzie, ZWCAD czeka na zakończenie wskazywania atrybutów. W Autocadzie po wskazaniu jednego atrybutu od razu wchodziło się w jego edycję. Można coś z tym zrobić?

Link to comment
Share on other sites

Jednak nie działa to tak jak bym chciał.

To znaczy jeżeli blok jest z jednym atrybutem to wszystko ok. Jeżeli jest więcej atrybutów w bloku to program nie uwzględnia wskazania i próbuje zmienić pierwszy atrybut w bloku.

napisałem nawet procedurę żeby wskazywać pojedynczo atrybuty

;EDYCJA POJEDYNCZEGO ATRYBUTU

(defun c:att ( / )

(prompt "\nWskaż atrybut do edycji :")

(setq ATRYBUT (ssget ":S"))

(setq zmiana (GETSTRING (strcat "\n wartość po zmianie - " )))

(command "ATTEDIT" "" "" "" "" ATRYBUT "" "T" "R" zmiana "Q" )

)

Ale również nie zmienia tego atrybutu który został wskazany tylko pierwszy w bloku.

I jeszcze jedno nie mogłem sobie poradzić, żeby napisać tak żeby wprowadzać zmienioną wartość w trakcie komendy zamiast lini (setq zmiana ... (myślałem że w command zamiast 'zmiana' 'pause' powinno byc ok. ale nie jest)

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share